Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/confirmation_tokens/{confirmation_token}

Retrieve a ConfirmationToken

Retrieves an existing ConfirmationToken object

Request parameters

ParameterLocationTypeDescription
confirmation_tokenpathstring
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
expires_atintegerTime at which this ConfirmationToken expires and can no longer be used to confirm a PaymentIntent or SetupIntent.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
mandate_dataone of multiple schemasData used for generating a Mandate.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payment_intentstringID of the PaymentIntent that this ConfirmationToken was used to confirm, or null if this ConfirmationToken has not yet been used.
payment_method_optionsone of multiple schemasPayment-method-specific configuration for this ConfirmationToken.
payment_method_previewone of multiple schemasPayment details collected by the Payment Element, used to create a PaymentMethod when a PaymentIntent or SetupIntent is confirmed with this ConfirmationToken.
return_urlstringReturn URL used to confirm the Intent.
setup_future_usagestringIndicates that you intend to make future payments with this ConfirmationToken's payment method. The presence of this property will [attach the payment method](https://docs.stripe.com/payments/save-during-payment) to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete.
setup_intentstringID of the SetupIntent that this ConfirmationToken was used to confirm, or null if this ConfirmationToken has not yet been used.
shippingone of multiple schemasShipping information collected on this ConfirmationToken.
use_stripe_sdk requiredbooleanIndicates whether the Stripe SDK is used to handle confirmation flow. Defaults to `true` on ConfirmationToken.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors